{==============================================================================|
| Project : Multilanguage                                        | 001.000.000 |
|==============================================================================|
|  Content: Testing application for multilanguage software                     |
|==============================================================================|
|   Author: Jiri Provaznik                                                     |
|==============================================================================|
| HomeSite: http://www.provaz.cz                                               |
|==============================================================================|
| The Initial Developer of the Original Code is Jiri Provaznik                 |
| (Czech Republic). Copyright (C) 2003. All Rights Reserved.                   |
|==============================================================================|
|  History:                                                                    |
|                                                                              |
|==============================================================================}

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ReInit;

type
  TForm1 = class(TForm)
    Button1: TButton;
    ComboBox1: TComboBox;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
const
  ENGLISH = (SUBLANG_ENGLISH_US shl 10) or LANG_ENGLISH;
  CZECH  = $0405;
begin
  if ComboBox1.ItemIndex = 0 then
  begin
    if LoadNewResourceModule(CZECH) <> 0 then
    begin
      ReinitializeForms;
    end;
  end;
  if ComboBox1.ItemIndex = 1 then
  begin
    if LoadNewResourceModule(ENGLISH) <> 0 then
    begin
      ReinitializeForms;
    end;
  end;
end;

end.
